[Task] Wikidata badges for Wikisource for validation status
Closed, ResolvedPublic1 Story Points

aude created this task.Apr 23 2015, 10:54 AM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Needs Triage.
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 10:54 AM
Lydia_Pintscher triaged this task as High priority.May 4 2015, 12:50 PM
Lydia_Pintscher set Security to None.
Micru added a subscriber: Micru.Jun 1 2015, 12:00 PM
Bene updated the task description. (Show Details)Jun 2 2015, 1:27 PM
Bene updated the task description. (Show Details)
Tobi_WMDE_SW edited a custom field.Jun 2 2015, 5:03 PM
Micru added a comment.Jun 3 2015, 9:09 PM

The badges needed for Wikisource are:

  • incomplete
  • not proofread
  • proofread
  • validated

Can they be enabled and imported?

Yes :) It's in this sprint so should happen over the next 2 weeks.

Hsarrazin removed a subscriber: Hsarrazin.

"Featured text" would be one that English Wikisource would utilise and has a long history of use, and equates with the FA componentry of the WPs. Iit would be used to add components to an article.

https://en.wikisource.org/wiki/Wikisource:Featured_texts (list and dates contained)

formatting at
https://en.wikisource.org/wiki/Template:Featured

This comment was removed by Billinghurst.
Lydia_Pintscher assigned this task to aude.

@aude you can use the same badge but with the colors of page status used in Wikisource:

  • incomplete: purple badge
  • not proofread: red badge
  • proofread: yellow badge
  • validated: green badge
  • featured: star

https://en.wikisource.org/wiki/Help:Page_status

To me it is the colour scheme that is important, and then a steady image for the status of the work, so Micru's suggestion works for me, not that I am aware of the badge itself.

For a featured status enWS has been using [[File:cscr-featured.svg]] if you need a specific image

The patch is merged, anything else needed?

aude moved this task from Done to Doing on the Wikidata-Sprint-2015-06-30 board.Jul 31 2015, 1:22 AM
aude added a comment.Jul 31 2015, 1:27 AM

configuration still needs to be done

hoo added a comment.Aug 2 2015, 10:57 PM

Also WikimediaBadges needs the badges for client usage.

Meaning? A set of specific icons for use? Someone/some group to nominate?

Change 229062 had a related patch set uploaded (by Aude):
Add config for Wikisource badges on Wikidata

https://gerrit.wikimedia.org/r/229062

aude added a comment.Aug 4 2015, 1:12 AM

@Billinghurst in the clients, we can specify a default icon for each status to appear next to interwiki links. (e.g. like the featured article stars)

For Wikisource, maybe it would be these percentage indicator icons? https://commons.wikimedia.org/wiki/Wikisource#Text_development

There also will be a css class added for each interwiki link that local Wikisource communities can use to customize or set a different icon.

aude added a comment.Aug 4 2015, 1:12 AM

@Billinghurst in the clients, we can specify a default icon for each status to appear next to interwiki links. (e.g. like the featured article stars)

For Wikisource, maybe it would be these percentage indicator icons? https://commons.wikimedia.org/wiki/Wikisource#Text_development

There also will be a css class added for each interwiki link that local Wikisource communities can use to customize or set a different icon.

Hmm. I don't think that the old 0/25/50/75/100 is going to work.

VALIDATION STATUS

We have ...

Works supported by scans, and there are three basic states

  • Transcription in progress (aka not proofread, or incomplete) (&&1)
  • Transcription completed (&&2)
  • Transcription completed and validated (&&3)

Works not supported by scans

  • Presented from alternate source (and this could be broken down to many subsets)
  • Digital documents (&&4)

To me, I would only be looking to generate those marked (&&) as an initial phase as I believe that they are accepted across all the WS, though happy to hear argument to the contrary (@Micru @Aubrey).

&&1 traditionally is something RED
&&2 traditionally is AMBER
&&3 traditionally is GREEN

&&4 has been tossed around, though I would argue that it is the same as &&3 and should be GREEN.

If you want to keep it simple, just use coloured dots, and we can substitute in community-approved icons. The colours appear as ribbons above works, so usually mean something to the community.

aude added a comment.Aug 4 2015, 1:40 PM

@Billinghurst coloured dots would work and then they can be customized with site css

Change 229199 had a related patch set uploaded (by Aude):
Add default badges for Wikisource

https://gerrit.wikimedia.org/r/229199

aude added a comment.Aug 4 2015, 7:55 PM

here is what the coloured dots look like:

the colors match what ProofreadPage uses and https://en.wikisource.org/wiki/Help:Page_status

I didn't add one yet for "Digital documents". If we want that, we need to also add it in the repo configuration, etc. also.

aude moved this task from Doing to Review on the Wikidata-Sprint-2015-06-30 board.Aug 4 2015, 7:55 PM
aude added a comment.Aug 5 2015, 12:59 PM

it's also possible to have no default badge icons in the sidebar. (but still have the css classes for each link that has a badge)

that might be a good way to proceed.

aude added a comment.Aug 10 2015, 9:15 PM

I think we should proceed with no default icons in the clients and the configuration change that sets the badge item numbers.

unless no objections, how about we deploy the config change tomorrow?

aude added a comment.Aug 11 2015, 2:13 PM

ok.... i am stuck at the airport and not coming into the office today.

We have a deploy window tomorrow (Wednesday) for arbitrary access and can do this as well then.

Change 229062 merged by jenkins-bot:
Add config for Wikisource badges on Wikidata

https://gerrit.wikimedia.org/r/229062

aude renamed this task from Wikidata badges for Wikisource for validation status to [Task] Wikidata badges for Wikisource for validation status.Aug 13 2015, 1:35 PM
Lydia_Pintscher closed this task as Resolved.Aug 17 2015, 3:03 PM
Lydia_Pintscher moved this task from Done to Review on the Wikidata-Sprint-2015-08-11 board.
Lydia_Pintscher moved this task from Review to Done on the Wikidata-Sprint-2015-08-11 board.

Change 229199 merged by Thiemo Mättig (WMDE):
Add default badges for Wikisource

https://gerrit.wikimedia.org/r/229199

Bene moved this task from Done to Review on the Wikidata-Sprint-2015-08-11 board.Aug 24 2015, 2:30 PM
Bene moved this task from Review to Done on the Wikidata-Sprint-2015-08-11 board.Aug 24 2015, 2:34 PM

@aude or anyone,

Can you tell me (or point out some documentation) on how I now use this at Wikisource to populate an icon for a featured text, etc. At the moment at enWS we utilise a template {{featured}}. I am not sure whether we now link that template to the field against the wikilink or what. Thanks.

aude added a comment.Aug 26 2015, 6:01 PM

@Billinghurst: i'll take a look now.

also, the default badges are ready to deploy with this week's deployment, for the sidebar.

aude added a comment.Aug 26 2015, 9:06 PM

@Billinghurst I have added some documentation at https://www.wikidata.org/wiki/Help:Badges for how to customize the icons in the sidebar. (the page still needs to be marked for translation)

I am not entirely sure this answers your question and not sure I understand what you mean about the {{featured}} template? That adds the star in the upper right corner of the page, in the "page indicators" area. Do you want to replace that with something using Wikidata? (e.g. setting the page indicator)

[I will try and take my nuff-nuff questions off-phab, as maybe it is about my expectations, and I will have a look to see how the WPs handle these matters.] Yes, I am wishing to automate as much as possible out of Wikidata in presentation terms. The community is discussing pulling more data from WD for our header templates, and just need to find someone LUA proficient to guide us.

As I will now have a few thousand works to update their proofread status, I had a look at Widar stuff to see how I might be able to utilise it to do the badge statuses. I couldn't work out which bits to utilise update the claims against the interwikis, and don't see it mentioned on the help pages. Can you please give some direction on that matter. Thanks.